<template>
  <div class="section" :style="{minHeight: height, maxHeight: max_height}">
    <div class="contentWrapper" :style="{'--max_content_width': `${content_width}px`}">
        <div class="info">
          <span class="title" :style="{color: titleColor}">{{title}}</span>
          <span class="text" v-html="text" :style="{color: textColor}"/>
        </div>
    </div>
    <div class="background" :style="{'--img-src': `url(${background})`}" alt=""/>
  </div>
</template>

<script>
export default {
  name: "Hero_1",
  label: "Hero-блок (v1)",
  image: "Hero_1",
  props: {
    title: {
      type: String,
      editType: "String",
      init_val: "Название компании",
      group: 'Содержимое',
      label: "Заголовок"
    },
    text: {
      type: String,
      group: 'Содержимое',
      editType: "HtmlText",
      label: "Подпись",
      init_val: "Описание деятельности компании",
    },
    background: {
      type: String,
      group: 'Изображение',
      editType: "String",
      label: "Изображение",
      init_val: "https://picsum.photos/1920/768",
    },
    height: {
      type: String,
      group: 'Макет',
      editType: "String",
      label: "Высота секции",
      init_val: "60vh",
    },
    max_height: {
      type: String,
      group: 'Макет',
      editType: "String",
      init_val: "none",
      label: "Максимальная высота",
    },
    content_width: {
      type: Number,
      editType: "String",
      group: 'Макет',
      label: "Максимальная ширина контента",
      init_val: 960
    },
    titleColor: {
      type: String,
      editType: "String",
      init_val: "#FFFFFF",
      label: "Заголовок",
      group: 'Палитра'
    },
    textColor: {
      type: String,
      editType: "String",
      init_val: "#FFFFFF90",
      label: "Подпись",
      group: 'Палитра'
    }
  },
};
</script>

<style scoped lang="scss">
.section {
  position: relative;
  background:#F4F5F7;
  padding: 60px 20px;
  width: 100%;
  height: auto;

  display: flex;
  flex-direction: column;
  justify-content: center;

  @media screen and (max-width: 480px) {
    padding: 24px 16px;
  }
}

.contentWrapper{
  position: relative;
  z-index: 1;
  max-width: var(--max_content_width);
  margin: 0 auto;
  width: 100%;

  .info{
    display: flex;
    flex-direction: column;
    text-shadow: 0 2px 4px #00000090;
    .title{
      font-size: 40px;
      font-weight: bold;
      line-height: 90%;
      margin-bottom: 16px;
    }
    .text{
      font-size: 20px;
      line-height: 110%;
    }

    @media screen and (max-width: 768px) {
      .title{
        font-size: 32px;
      }
      .text{
        font-size: 16px;
      }
    }
  }
}

.background{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 0;

  background-size: cover;
  background-image: var(--img-src), linear-gradient(to right, #929292 30%, #fff 90%);
  background-blend-mode: multiply;
}
</style>
